import { IAuthProvider } from "./iauth-provider";
import { RequestOptions } from "./types";
import { AxiosProxyConfig } from "axios";
export declare class ApiClient {
    private authProvider;
    private apiBaseUrl;
    private options;
    private axiosInstance;
    constructor(authProvider: IAuthProvider, apiBaseUrl: string, options: {
        timeoutInMs?: number;
        proxyConf?: AxiosProxyConfig | false;
    });
    issueGetRequest(path: string, pageMode?: boolean): Promise<any>;
    issuePostRequest(path: string, body: any, requestOptions?: RequestOptions): Promise<any>;
    issuePutRequest(path: string, body: any): Promise<any>;
    issuePatchRequest(path: string, body: any): Promise<any>;
    issueDeleteRequest(path: string): Promise<any>;
}
